//  Persistence of Vision Raytracer V3.5
//  World definition file.
//
//  Contains 1 lights, 4 materials and 9 primitives.
//
//  This file was generated for POV-Ray V3.5 by
//  Moray V3.5 For Windows Copyright (c) 1993-2002 Lutz + Kretzschmar
//

//  Date : 12/19/2002    (19.12.2002)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

default {
  texture {
    pigment { rgb <1,0,0> }
  }
}

/* // Scene Comment

This scene was created with Moray V3.4 Beta For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.0
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  charset ascii
  radiosity {
    brightness       1.0
    count            200
    distance_maximum 0.0
    error_bound      0.15
    gray_threshold   0.0
    low_error_factor 0.5
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  3
    #if (version>3.1)
      adc_bailout      0.005
      media            off
      normal           on
      always_sample    1

      pretrace_start   0.08
      pretrace_end     0.01
    #end
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera Camera01
  location  <      5.761,      -8.115,       6.961>
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.37299,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle         49.59805    // Vertical      37.199
  look_at   <      0.084,       0.424,       2.168>
}

//
// *******  L I G H T S *******
//


//
// ********  MATERIALS  *******
//

#include "botijo.inc"


//
// ********  REFERENCED OBJECTS  *******
//

#include "botijobject.inc"


//
// ********  OBJECTS  *******
//

plane { // The ceiling that brings the light 
  z,0
  material {
    paredes
  }
  photons {
    collect off
  }
  rotate -180.0*x
  translate  13.631504*z
}


plane { // The floor
  z,0
  material {
    suelo
  }
  photons {
    collect off
  }
}


box { // The walls
  <-1, -1, -1>, <1, 1, 1>
  material {
    paredes_1
  }
  hollow
  photons {
    collect off
  }
  scale <20.0, 20.0, 10.0>
  translate  5.761228*z
}


union { // The botijo
  object { water } // currently it has no texture assigned, uses the default one. Create one if you like
  object { handle }
  object { mouth }
  object { spout }
  object { body }
  material {
    botijo_txt
  }
  photons {
    collect off
  }
  translate  2.080635*z
}


